zenilib: zenilib/jni/external/libpng/pngset.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
pngset.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Functions

png_uint_32 PNGAPI | png_permit_mng_features (png_structp png_ptr, png_uint_32 mng_features)
void PNGAPI | png_set_benign_errors (png_structp png_ptr, int allowed)
void PNGAPI | png_set_bKGD (png_structp png_ptr, png_infop info_ptr, png_const_color_16p background)
void PNGAPI | png_set_cHRM (png_structp png_ptr, png_infop info_ptr, double white_x, double white_y, double red_x, double red_y, double green_x, double green_y, double blue_x, double blue_y)
void PNGFAPI | png_set_cHRM_fixed (png_structp png_ptr, png_infop info_ptr, png_fixed_point white_x, png_fixed_point white_y, png_fixed_point red_x, png_fixed_point red_y, png_fixed_point green_x, png_fixed_point green_y, png_fixed_point blue_x, png_fixed_point blue_y)
void PNGAPI | png_set_cHRM_XYZ (png_structp png_ptr, png_infop info_ptr, double red_X, double red_Y, double red_Z, double green_X, double green_Y, double green_Z, double blue_X, double blue_Y, double blue_Z)
void PNGFAPI | png_set_cHRM_XYZ_fixed (png_structp png_ptr, png_infop info_ptr, png_fixed_point int_red_X, png_fixed_point int_red_Y, png_fixed_point int_red_Z, png_fixed_point int_green_X, png_fixed_point int_green_Y, png_fixed_point int_green_Z, png_fixed_point int_blue_X, png_fixed_point int_blue_Y, png_fixed_point int_blue_Z)
void PNGAPI | png_set_chunk_cache_max (png_structp png_ptr, png_uint_32 user_chunk_cache_max)
void PNGAPI | png_set_chunk_malloc_max (png_structp png_ptr, png_alloc_size_t user_chunk_malloc_max)
void PNGAPI | png_set_compression_buffer_size (png_structp png_ptr, png_size_t size)
void PNGAPI | png_set_gAMA (png_structp png_ptr, png_infop info_ptr, double file_gamma)
void PNGFAPI | png_set_gAMA_fixed (png_structp png_ptr, png_infop info_ptr, png_fixed_point file_gamma)
void PNGAPI | png_set_hIST (png_structp png_ptr, png_infop info_ptr, png_const_uint_16p hist)
void PNGAPI | png_set_iCCP (png_structp png_ptr, png_infop info_ptr, png_const_charp name, int compression_type, png_const_bytep profile, png_uint_32 proflen)
void PNGAPI | png_set_IHDR (png_structp png_ptr, png_infop info_ptr, png_uint_32 width, png_uint_32 height, int bit_depth, int color_type, int interlace_type, int compression_type, int filter_type)
void PNGAPI | png_set_invalid (png_structp png_ptr, png_infop info_ptr, int mask)
void PNGAPI | png_set_keep_unknown_chunks (png_structp png_ptr, int keep, png_const_bytep chunk_list, int num_chunks)
void PNGAPI | png_set_oFFs (png_structp png_ptr, png_infop info_ptr, png_int_32 offset_x, png_int_32 offset_y, int unit_type)
void PNGAPI | png_set_pCAL (png_structp png_ptr, png_infop info_ptr, png_const_charp purpose, png_int_32 X0, png_int_32 X1, int type, int nparams, png_const_charp units, png_charpp params)
void PNGAPI | png_set_pHYs (png_structp png_ptr, png_infop info_ptr, png_uint_32 res_x, png_uint_32 res_y, int unit_type)
void PNGAPI | png_set_PLTE (png_structp png_ptr, png_infop info_ptr, png_const_colorp palette, int num_palette)
void PNGAPI | png_set_read_user_chunk_fn (png_structp png_ptr, png_voidp user_chunk_ptr, png_user_chunk_ptr read_user_chunk_fn)
void PNGAPI | png_set_rows (png_structp png_ptr, png_infop info_ptr, png_bytepp row_pointers)
void PNGAPI | png_set_sBIT (png_structp png_ptr, png_infop info_ptr, png_const_color_8p sig_bit)
void PNGAPI | png_set_sCAL (png_structp png_ptr, png_infop info_ptr, int unit, double width, double height)
void PNGAPI | png_set_sCAL_fixed (png_structp png_ptr, png_infop info_ptr, int unit, png_fixed_point width, png_fixed_point height)
void PNGAPI | png_set_sCAL_s (png_structp png_ptr, png_infop info_ptr, int unit, png_const_charp swidth, png_const_charp sheight)
void PNGAPI | png_set_sPLT (png_structp png_ptr, png_infop info_ptr, png_const_sPLT_tp entries, int nentries)
void PNGAPI | png_set_sRGB (png_structp png_ptr, png_infop info_ptr, int srgb_intent)
void PNGAPI | png_set_sRGB_gAMA_and_cHRM (png_structp png_ptr, png_infop info_ptr, int srgb_intent)
void PNGAPI | png_set_text (png_structp png_ptr, png_infop info_ptr, png_const_textp text_ptr, int num_text)
int | png_set_text_2 (png_structp png_ptr, png_infop info_ptr, png_const_textp text_ptr, int num_text)
void PNGAPI | png_set_tIME (png_structp png_ptr, png_infop info_ptr, png_const_timep mod_time)
void PNGAPI | png_set_tRNS (png_structp png_ptr, png_infop info_ptr, png_const_bytep trans_alpha, int num_trans, png_const_color_16p trans_color)
void PNGAPI | png_set_unknown_chunk_location (png_structp png_ptr, png_infop info_ptr, int chunk, int location)
void PNGAPI | png_set_unknown_chunks (png_structp png_ptr, png_infop info_ptr, png_const_unknown_chunkp unknowns, int num_unknowns)
void PNGAPI | png_set_user_limits (png_structp png_ptr, png_uint_32 user_width_max, png_uint_32 user_height_max)

## Function Documentation

png_uint_32 PNGAPI png_permit_mng_features | ( | png_structp | png_ptr,
|  | png_uint_32 | mng_features
| ) |  |

Definition at line 1095 of file pngset.c.

References NULL, PNG_ALL_MNG_FEATURES, and png_debug.

void PNGAPI png_set_benign_errors | ( | png_structp | png_ptr,
|  | int | allowed
| ) |  |

Definition at line 1273 of file pngset.c.

References png_debug, and PNG_FLAG_BENIGN_ERRORS_WARN.

void PNGAPI png_set_bKGD | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_const_color_16p | background
| ) |  |

Definition at line 25 of file pngset.c.

References NULL, png_debug1, PNG_INFO_bKGD, png_memcpy, and png_sizeof.

Referenced by png_handle_bKGD(), and test_one_file().

void PNGAPI png_set_cHRM | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | double | white_x,
|  | double | white_y,
|  | double | red_x,
|  | double | red_y,
|  | double | green_x,
|  | double | green_y,
|  | double | blue_x,
|  | double | blue_y
| ) |  |

Definition at line 102 of file pngset.c.

References png_fixed(), and png_set_cHRM_fixed().

Referenced by test_one_file().

void PNGFAPI png_set_cHRM_fixed | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_fixed_point | white_x,
|  | png_fixed_point | white_y,
|  | png_fixed_point | red_x,
|  | png_fixed_point | red_y,
|  | png_fixed_point | green_x,
|  | png_fixed_point | green_y,
|  | png_fixed_point | blue_x,
|  | png_fixed_point | blue_y
| ) |  |

Definition at line 40 of file pngset.c.

References NULL, png_check_cHRM_fixed(), png_debug1, and PNG_INFO_cHRM.

Referenced by png_handle_cHRM(), png_set_cHRM(), png_set_cHRM_XYZ_fixed(), png_set_sRGB_gAMA_and_cHRM(), and test_one_file().

void PNGAPI png_set_cHRM_XYZ | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | double | red_X,
|  | double | red_Y,
|  | double | red_Z,
|  | double | green_X,
|  | double | green_Y,
|  | double | green_Z,
|  | double | blue_X,
|  | double | blue_Y,
|  | double | blue_Z
| ) |  |

Definition at line 118 of file pngset.c.

References png_fixed(), and png_set_cHRM_XYZ_fixed().

void PNGFAPI png_set_cHRM_XYZ_fixed | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_fixed_point | int_red_X,
|  | png_fixed_point | int_red_Y,
|  | png_fixed_point | int_red_Z,
|  | png_fixed_point | int_green_X,
|  | png_fixed_point | int_green_Y,
|  | png_fixed_point | int_green_Z,
|  | png_fixed_point | int_blue_X,
|  | png_fixed_point | int_blue_Y,
|  | png_fixed_point | int_blue_Z
| ) |  |

Definition at line 68 of file pngset.c.

References png_xy::bluex, png_XYZ::blueX, png_xy::bluey, png_XYZ::blueY, png_XYZ::blueZ, png_xy::greenx, png_XYZ::greenX, png_xy::greeny, png_XYZ::greenY, png_XYZ::greenZ, NULL, png_debug1, png_error(), png_set_cHRM_fixed(), png_xy_from_XYZ(), png_xy::redx, png_XYZ::redX, png_xy::redy, png_XYZ::redY, png_XYZ::redZ, png_xy::whitex, and png_xy::whitey.

Referenced by png_set_cHRM_XYZ().

void PNGAPI png_set_chunk_cache_max | ( | png_structp | png_ptr,
|  | png_uint_32 | user_chunk_cache_max
| ) |  |

Definition at line 1253 of file pngset.c.

void PNGAPI png_set_chunk_malloc_max | ( | png_structp | png_ptr,
|  | png_alloc_size_t | user_chunk_malloc_max
| ) |  |

Definition at line 1262 of file pngset.c.

void PNGAPI png_set_compression_buffer_size | ( | png_structp | png_ptr,
|  | png_size_t | size
| ) |  |

Definition at line 1198 of file pngset.c.

References NULL, png_free(), png_warning(), and ZLIB_IO_MAX.

void PNGAPI png_set_gAMA | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | double | file_gamma
| ) |  |

Definition at line 167 of file pngset.c.

References png_fixed(), and png_set_gAMA_fixed().

Referenced by test_one_file().

void PNGFAPI png_set_gAMA_fixed | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_fixed_point | file_gamma
| ) |  |

Definition at line 139 of file pngset.c.

References NULL, png_debug1, PNG_INFO_gAMA, and png_warning().

Referenced by png_handle_gAMA(), png_set_gAMA(), png_set_sRGB_gAMA_and_cHRM(), and test_one_file().

void PNGAPI png_set_hIST | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_const_uint_16p | hist
| ) |  |

Definition at line 177 of file pngset.c.

References i, NULL, png_debug1, png_free_data(), PNG_FREE_HIST, PNG_INFO_hIST, PNG_MAX_PALETTE_LENGTH, png_sizeof, and png_warning().

Referenced by png_handle_hIST(), and test_one_file().

void PNGAPI png_set_iCCP | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_const_charp | name,
|  | int | compression_type,
|  | png_const_bytep | profile,
|  | png_uint_32 | proflen
| ) |  |

Definition at line 617 of file pngset.c.

References NULL, png_debug1, png_free(), png_free_data(), PNG_FREE_ICCP, PNG_INFO_iCCP, png_memcpy, png_strlen, and png_warning().

void PNGAPI png_set_IHDR | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | width,
|  | png_uint_32 | height,
|  | int | bit_depth,
|  | int | color_type,
|  | int | interlace_type,
|  | int | compression_type,
|  | int | filter_type
| ) |  |

Definition at line 219 of file pngset.c.

References NULL, png_check_IHDR(), PNG_COLOR_MASK_ALPHA, PNG_COLOR_MASK_COLOR, PNG_COLOR_TYPE_PALETTE, png_debug1, PNG_ROWBYTES, and PNG_UINT_32_MAX.

Referenced by png_handle_IHDR(), and test_one_file().

void PNGAPI png_set_invalid | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | mask
| ) |  |

Definition at line 1226 of file pngset.c.

void PNGAPI png_set_keep_unknown_chunks | ( | png_structp | png_ptr,
|  | int | keep,
|  | png_const_bytep | chunk_list,
|  | int | num_chunks
| ) |  |

Definition at line 1111 of file pngset.c.

References i, NULL, PNG_FLAG_KEEP_UNKNOWN_CHUNKS, PNG_FLAG_KEEP_UNSAFE_CHUNKS, png_free(), PNG_FREE_LIST, PNG_HANDLE_CHUNK_ALWAYS, PNG_HANDLE_CHUNK_IF_SAFE, and png_memcpy.

Referenced by test_one_file().

void PNGAPI png_set_oFFs | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_int_32 | offset_x,
|  | png_int_32 | offset_y,
|  | int | unit_type
| ) |  |

Definition at line 269 of file pngset.c.

References NULL, png_debug1, and PNG_INFO_oFFs.

Referenced by png_handle_oFFs(), and test_one_file().

void PNGAPI png_set_pCAL | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_const_charp | purpose,
|  | png_int_32 | X0,
|  | png_int_32 | X1,
|  | int | type,
|  | int | nparams,
|  | png_const_charp | units,
|  | png_charpp | params
| ) |  |

Definition at line 286 of file pngset.c.

References i, NULL, png_check_fp_string(), png_debug, png_debug1, png_debug2, png_error(), PNG_FREE_PCAL, PNG_INFO_pCAL, png_memcpy, png_memset, png_sizeof, png_strlen, and png_warning().

Referenced by png_handle_pCAL(), and test_one_file().

void PNGAPI png_set_pHYs | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | res_x,
|  | png_uint_32 | res_y,
|  | int | unit_type
| ) |  |

Definition at line 500 of file pngset.c.

References NULL, png_debug1, and PNG_INFO_pHYs.

Referenced by png_handle_pHYs(), and test_one_file().

void PNGAPI png_set_PLTE | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_const_colorp | palette,
|  | int | num_palette
| ) |  |

Definition at line 516 of file pngset.c.

References NULL, PNG_COLOR_TYPE_PALETTE, png_debug1, png_error(), png_free_data(), PNG_FREE_PLTE, PNG_INFO_PLTE, PNG_MAX_PALETTE_LENGTH, png_memcpy, png_sizeof, and png_warning().

Referenced by png_handle_PLTE(), and test_one_file().

void PNGAPI png_set_read_user_chunk_fn | ( | png_structp | png_ptr,
|  | png_voidp | user_chunk_ptr,
|  | png_user_chunk_ptr | read_user_chunk_fn
| ) |  |

Definition at line 1165 of file pngset.c.

References NULL, and png_debug.

Referenced by test_one_file().

void PNGAPI png_set_rows | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_bytepp | row_pointers
| ) |  |

Definition at line 1180 of file pngset.c.

References NULL, png_debug1, png_free_data(), PNG_FREE_ROWS, and PNG_INFO_IDAT.

void PNGAPI png_set_sBIT | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_const_color_8p | sig_bit
| ) |  |

Definition at line 561 of file pngset.c.

References NULL, png_debug1, PNG_INFO_sBIT, png_memcpy, and png_sizeof.

Referenced by png_handle_sBIT(), and test_one_file().

void PNGAPI png_set_sCAL | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | unit,
|  | double | width,
|  | double | height
| ) |  |

Definition at line 441 of file pngset.c.

References png_ascii_from_fp(), png_debug1, PNG_sCAL_MAX_DIGITS, PNG_sCAL_PRECISION, png_set_sCAL_s(), and png_warning().

Referenced by test_one_file().

void PNGAPI png_set_sCAL_fixed | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | unit,
|  | png_fixed_point | width,
|  | png_fixed_point | height
| ) |  |

Definition at line 471 of file pngset.c.

References png_ascii_from_fixed(), png_debug1, PNG_sCAL_MAX_DIGITS, png_set_sCAL_s(), and png_warning().

void PNGAPI png_set_sCAL_s | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | unit,
|  | png_const_charp | swidth,
|  | png_const_charp | sheight
| ) |  |

Definition at line 378 of file pngset.c.

References NULL, png_check_fp_string(), png_debug1, png_error(), png_free(), PNG_FREE_SCAL, PNG_INFO_sCAL, png_memcpy, png_strlen, and png_warning().

Referenced by png_handle_sCAL(), png_set_sCAL(), png_set_sCAL_fixed(), and test_one_file().

void PNGAPI png_set_sPLT | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_const_sPLT_tp | entries,
|  | int | nentries
| ) |  |

Definition at line 940 of file pngset.c.

References i, nentries, NULL, png_free(), PNG_FREE_SPLT, PNG_INFO_sPLT, png_memcpy, png_sizeof, png_strlen, and png_warning().

void PNGAPI png_set_sRGB | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | srgb_intent
| ) |  |

Definition at line 576 of file pngset.c.

References NULL, png_debug1, and PNG_INFO_sRGB.

Referenced by png_set_sRGB_gAMA_and_cHRM(), and test_one_file().

void PNGAPI png_set_sRGB_gAMA_and_cHRM | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | srgb_intent
| ) |  |

Definition at line 588 of file pngset.c.

References NULL, png_debug1, PNG_GAMMA_sRGB_INVERSE, png_set_cHRM_fixed(), png_set_gAMA_fixed(), and png_set_sRGB().

Referenced by png_handle_sRGB().

void PNGAPI png_set_text | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_const_textp | text_ptr,
|  | int | num_text
| ) |  |

Definition at line 668 of file pngset.c.

References png_error(), png_set_text_2(), and ret.

Referenced by test_one_file().

int png_set_text_2 | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_const_textp | text_ptr,
|  | int | num_text
| ) |  |

Definition at line 679 of file pngset.c.

References i, NULL, png_debug1, png_debug2, png_free(), PNG_FREE_TEXT, PNG_ITXT_COMPRESSION_NONE, png_memcpy, png_sizeof, png_strlen, PNG_TEXT_COMPRESSION_LAST, PNG_TEXT_COMPRESSION_NONE, and png_warning().

Referenced by png_handle_iTXt(), png_handle_tEXt(), png_handle_zTXt(), png_push_read_iTXt(), png_push_read_tEXt(), png_push_read_zTXt(), and png_set_text().

void PNGAPI png_set_tIME | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_const_timep | mod_time
| ) |  |

Definition at line 859 of file pngset.c.

References NULL, png_debug1, PNG_INFO_tIME, png_memcpy, png_sizeof, png_warning(), and PNG_WROTE_tIME.

Referenced by png_handle_tIME(), and test_one_file().

void PNGAPI png_set_tRNS | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_const_bytep | trans_alpha,
|  | int | num_trans,
|  | png_const_color_16p | trans_color
| ) |  |

Definition at line 883 of file pngset.c.

References int, NULL, PNG_COLOR_TYPE_GRAY, PNG_COLOR_TYPE_RGB, png_debug1, png_free_data(), PNG_FREE_TRNS, PNG_INFO_tRNS, PNG_MAX_PALETTE_LENGTH, png_memcpy, png_sizeof, and png_warning().

Referenced by png_handle_tRNS(), and test_one_file().

void PNGAPI png_set_unknown_chunk_location | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | chunk,
|  | int | location
| ) |  |

Definition at line 1083 of file pngset.c.

References chunk, and NULL.

Referenced by test_one_file().

void PNGAPI png_set_unknown_chunks | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_const_unknown_chunkp | unknowns,
|  | int | num_unknowns
| ) |  |

Definition at line 1018 of file pngset.c.

References i, NULL, png_free(), PNG_FREE_UNKN, png_memcpy, png_sizeof, and png_warning().

Referenced by png_handle_unknown(), png_push_handle_unknown(), and test_one_file().

void PNGAPI png_set_user_limits | ( | png_structp | png_ptr,
|  | png_uint_32 | user_width_max,
|  | png_uint_32 | user_height_max
| ) |  |

Definition at line 1237 of file pngset.c.

References NULL.